## org.hibernate.envers.reader
Interface AuditReaderImplementor

All Superinterfaces:
  AuditReader

All Known Implementing Classes:
  AuditReaderImpl

    public interface AuditReaderImplementor

extends AuditReader

An interface exposed by a VersionsReader to library-facing classes.

Method Summary
`FirstLevelCache` `getFirstLevelCache()`
`Session` `getSession()`
`SessionImplementor` `getSessionImplementor()`

Methods inherited from interface org.hibernate.envers.AuditReader
`createQuery, find, find, findRevision, findRevisions, getCrossTypeRevisionChangesReader, getCurrentRevision, getEntityName, getRevisionDate, getRevisionNumberForDate, getRevisions, getRevisions, isEntityClassAudited, isEntityNameAudited`

Method Detail

### getSessionImplementor

    SessionImplementor getSessionImplementor()

### getSession

    Session getSession()

### getFirstLevelCache

    FirstLevelCache getFirstLevelCache()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.